# i3blocks config file
#
# Please see man i3blocks for a complete reference!
# The man page is also hosted at http://vivien.github.io/i3blocks
#
# List of valid properties:
#
# align
# color
# command
# full_text
# instance
# interval
# label
# min_width
# name
# separator
# separator_block_width
# short_text
# signal
# urgent

# Global properties
#
# The top properties below are applied to every block, but can be overridden.
# Each block command defaults to the script name to avoid boilerplate.
# Change $SCRIPT_DIR to the location of your scripts!
command=./$BLOCK_NAME/$BLOCK_NAME
separator_block_width=15
markup=none
SCRIPT_DIR=./script_dir
# Volume indicator
#
# The first parameter sets the step (and units to display)
# The second parameter overrides the mixer selection
# See the script for details.

[volume-pulseaudio]
command=$SCRIPT_DIR/volume-pulseaudio | head -n 1 | sed -E 's/(.)\s*(\w?\w?%).*/\1 \2/g' | sed -E 's/[]/🔊/' | sed 's//🔈/'
interval=once
signal=1
USE_ALSA_NAME=1

# Memory usage
#
# The type defaults to "mem" if the instance is not specified.
[memory]
separator=false
interval=30
command=./memory/memory | sed -E 's/(.*)?\/.*/\1/'
# Disk usage
#
# The directory defaults to $HOME if the instance is not specified.
# The script may be called with a optional argument to set the alert
# (defaults to 10 for 10%).
[disk]
label=💾 
#DIR=/mnt/data
interval=30

# Network interface monitoring
#
# If the instance is not specified, use the interface used for default route.
# The address can be forced to IPv4 or IPv6 with -4 or -6 switches.
[iface]
#IFACE=wlan0
color=#00FF00
interval=10
separator=false

[wifi]
#INTERFACE=wlp3s0
label=wifi:
interval=10
separator=false

[bandwidth]
#INTERFACE=eth0
interval=5
command=./bandwidth/bandwidth | sed -E 's/IN/⬇/' | sed -E 's/OUT/⬆/'

# CPU usage
#
# The script may be called with -w and -c switches to specify thresholds,
# see the script for details.

[load_average]
label=🏋️ 
interval=10

# Battery indicator
#
# The battery instance defaults to 0.
[battery]
label=⚡
interval=30

# Date Time
#
[time]
command=date +'%d-%m-%Y %H:%M:%S' | sed -E 's/(.*)?\ (.*)/\1\ ⌚\2/'
interval=5

# Generic media player support
#
# This displays "ARTIST - SONG" if a music is playing.
# Supported players are: spotify, vlc, audacious, xmms2, mplayer, and others.
#[mediaplayer]
#instance=spotify
#interval=5
#signal=10

# OpenVPN support
#
# Support multiple VPN, with colors.
#[openvpn]⬆
#interval=20

# Temperature
#
# Support multiple chips, though lm-sensors.
# The script may be called with -w and -c switches to specify thresholds,
# see the script for details.
#[temperature]
#label=TEMP
#interval=10

# Key indicators
#
# Add the following bindings to i3 config file:
#
# bindsym --release Caps_Lock exec pkill -SIGRTMIN+11 i3blocks
# bindsym --release Num_Lock  exec pkill -SIGRTMIN+11 i3blocks
#[keyindicator]
#KEY=CAPS
#markup=pango
#interval=once
#signal=11

#[keyindicator]
#KEY=NUM
#markup=pango
#interval=once
#signal=11
